Dpkg::BuildEnv(3)

NAME
Dpkg::BuildEnv - track build environment

DESCRIPTION
The Dpkg::BuildEnv module is used by dpkg-buildflags to track the build environment variables being used and modified.

FUNCTIONS

$bf->set($varname, $value)
    Update the build environment variable $varname with value $value. Record it as being accessed and modified.

$bf->get($varname)
    Get the build environment variable $varname value. Record it as being accessed.

$bf->has($varname)
    Return a boolean indicating whether the environment variable exists. Record it as being accessed.

my @list = $bf->list_accessed()
    Returns a list of all environment variables that have been accessed.

my @list = $bf->list_modified()
    Returns a list of all environment variables that have been modified.